{ ... }: {
  services.prometheus.exporters.nginxlog = {
    enable = true;
    port = 14201;
    settings = {
      namespace.nginx.source.files = "/var/log/nginx/access.log";
    };
  };

  services.nginx.commonHttpConfig = "access_log /var/log/nginx/access.log;";

  networking.firewall.allowedTCPPorts = [ 14201 ];
}
